MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005002ATutorPreferencespublic2012-06-27 10:362012-08-31 17:48
Reportergreg 
Assigned Tocindy 
PriorityhighSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version2.1 
Summary0005002: preference page breaks in mobile
DescriptionChange assign_session_prefs() to a local function that uses locally set prefs rather than $_SESSION['prefs']
TagsNo tags attached.
Affects versionSVN
SVN Revision#302bc22f31c36b977d3ee057423e1c69938fb757
Attached Files

- Relationships

-  Notes
(0005793)
cindy (administrator)
2012-07-28 21:28

Re-construct the php scripts and templates to pass in the user-defined desktop theme as a local variable instead of using $_SESSION['prefs']['PREF_THEME'] which is replaced by the user-defined mobile theme when the page is accessed by mobile devices.

Affected scripts:
include/lib/constants.inc.php
mods/_core/users/default_preferences.php
themes/default/users/preferences.tmpl.php
themes/mobile/users/preferences.tmpl.php
themes/simplified_desktop/users/preferences.tmpl.php
users/atutor_settings.inc.php
users/preferences.php
(0005820)
greg (administrator)
2012-08-31 17:48

closed in ATutor 2.1

- Issue History
Date Modified Username Field Change
2012-06-27 10:36 greg New Issue
2012-06-27 10:36 greg Status new => assigned
2012-06-27 10:36 greg Assigned To => cindy
2012-07-28 21:28 cindy SVN Revision# => 302bc22f31c36b977d3ee057423e1c69938fb757
2012-07-28 21:28 cindy Note Added: 0005793
2012-07-28 21:28 cindy Status assigned => resolved
2012-07-28 21:28 cindy Fixed in Version => 2.1
2012-07-28 21:28 cindy Resolution open => fixed
2012-08-31 17:48 greg Note Added: 0005820
2012-08-31 17:48 greg Status resolved => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker